# Read Me

This is repository to practise Python + Django following **Web Development in Python with Django: Building Backend Web Applications and APIs with Django**

## Add app in django

* add in `config/settings.py`

## Models

Project Features

* Basic blogs with Blog Posts
* Categorize startup businesses using Startup and Tags
* Link to news articles about a specific startup (NewsLinks)
* All objects appear in site URL:URIs necessitate slugs

Tag objects:
* name
  * e.g.: Web Development, Django
* slug (to identity)
  * e.g.: web-development, django

Startup Objects:
* name
* slug
* description
* date founded
* contact
* website link

News Link Objects:
* title
* slug
* date published
* link to article
* startup

Blog Post Objects:
* title
* slug
* text
* date published

Object Relations:
* One-To-One
* One-To-Many
* Many-To-One: NewsLink refers to a single Startup
* Many-To-Many:
  * Tags and Startups
  * Blog Posts and Tags
  * Blog Posts and Startups